﻿/* Differences between airlines colours are marked with COL */

.trainingform-form {
}

/* EDIT/VIEW Training Form Sections - COLLAPSIBLE PANELS */
.trainingform-cpe {
	width: 690px;
}

.trainingform-cpe-header {
	vertical-align: top;
	margin-top: 8px;
	padding: 4px;
	border: 1px solid silver;
	background-color: whitesmoke;
	color: Black;
}

	.trainingform-cpe-header img, .trainingform-cpe-header input {
		vertical-align: top;
	}

.trainingform-cpe-headerlink {
	color: white;
	display: inline;
	vertical-align: middle;
	border: 0px solid green;
}

	.trainingform-cpe-headerlink a, .trainingform-cpe-headerlink img, .trainingform-cpe-headerlink input {
		vertical-align: middle;
	}

.trainingform-cpe-headertitle {
	font-size: 130%;
}

.trainingform-cpe-body {
	background-color: WhiteSmoke;
	border: 1px solid silver;
	border-top: 0px;
	height: 0px;
	overflow: hidden;
}

	.trainingform-cpe-body ul {
		margin-top: 8px;
		margin-bottom: 8px;
	}

.trainingform-section {
	background-color: Transparent;
}

/* EDIT/VIEW - Training Form Sections */
/* The first 4 styles here can be switched in code to determine whether a  or compact, view of the fields is displayed */
/* Item Blocks */
.trainingform-item {
	border: 1px solid silver;
	padding-bottom: 4px;
	margin-top: 0px;
	margin-bottom: 8px;
	margin-left: 10px;
	margin-right: 10px;
	padding-top: 4px;
	background-color: #fdfdfd;
	overflow: hidden;
	width: 100%;
}

.trainingform-item-title {
	font-size: 130%;
	font-weight: normal;
	margin-left: 10px;
	margin-bottom: 2px;
	padding-bottom: 0px;
	width: auto;
	text-align: left;
	word-wrap: break-word;
}

.trainingform-item-rotitle {
	font-size: 130%;
	font-weight: normal;
	margin-left: 10px;
	margin-bottom: 2px;
	padding-bottom: 0px;
	width: auto;
	text-align: left;
}

.trainingform-item-subtitle {
	font-size: small;
	font-weight: normal;
	margin-left: 25px;
	margin-bottom: 4px;
	margin-top: 4px;
	width: auto;
	text-align: left;
	display: block;
}

.trainingform-item-robody { /* border: 1px solid silver; font-weight: normal; background-color: white; 
	margin-left:30px; margin-right:20px; margin-bottom:0px; margin-top:4px; padding:8px; width:auto; */
}

.trainingform-item-body {
	font-weight: normal;
	width: 100%;
	margin: 0px;
	padding: 0px;
	margin-top: 0px;
	margin-left: 4px;
	border: 0px solid green;
}

/* Item Content */
.trainingform-item-description {
	display: inline;
	font-style: italic;
	margin: 0px;
	width: 100%;
	padding: 0px;
	padding-bottom: 4px;
	display: block;
	margin-left: 0px;
}

.trainingform-item-answer {
	margin: 0px;
	width: 100%;
}

.trainingform-item-commentlabel {
	font-weight: normal;
	margin: 0px;
	width: auto;
	margin-top: 10px;
	margin-bottom: 2px;
}

.trainingform-item-comment {
	margin: 0px;
	width: 100%;
	margin-bottom: 0px;
	font-style: italic;
}

.trainingform-item-rocomment {
	margin: 0px;
	margin-right: 10px;
	margin-left: 0px;
	margin-bottom: 0px;
	font-style: italic;
}
/* Item List Questions [only] use these format in read/edit view */
.trainingform-itemlist {
	font-weight: normal;
	background-color: white;
	margin-left: 0px;
	margin-top: 0px;
	margin-bottom: 0px;
	width: 96%;
	padding: 10px;
	table-layout: fixed;
}

.trainingform-itemchoice-title {
	font-weight: normal;
}

.trainingform-itemchoice-desc {
	margin-left: 20px;
	padding-bottom: 4px;
}

.trainingform-item-calculated {
	font-size: 130%;
}

/* The HEADER/SUMMARY block at the top of each page/section/certificate */
/* COL */
@media screen {
	.trainingform-certheader {
		margin: 10px;
		padding: 6px; /* COL */
		background-color: whitesmoke;
		border: 1px solid #ccc;
		border-radius: 4px;
	}
}

@media print {
	.trainingform-certheader {
		margin: 10px;
		padding: 6px;
		border: 1px solid #ccc;
		width: 700px;
	}
}
/* COL */
.trainingform-certheader h1 {
	font-weight: normal;
	margin-top: 0px;
	color: #777;
	font-size: 2.0em;
	margin-left: 0px;
}

.trainingform-certheader h2 {
	font-weight: normal;
	margin-top: 0px;
	color: #555;
	font-size: 1.5em;
	margin-left: 0px;
}

.trainingform-certheader h3 {
	font-weight: normal;
}

.trainingform-certheader-fieldname {
	font-weight: normal;
	text-align: left;
	font-weight: normal;
	font-size: 1.0em;
}

.trainingform-certheader-fieldvalue {
	font-weight: normal;
	text-align: left;
	font-size: 1.0em;
}

@media screen {
	.trainingform-certheader-parentbox {
		margin: 0px auto;
		width: 250px;
	}
}

@media print {
	.trainingform-certheader-parentbox {
		display: none;
	}
}


/* CERTIFICATES */
.trainingform-cert {
}
/* COL */
@media screen {
	.trainingform-certsection {
		margin: 10px;
		padding: 0px;
		margin-left: 30px;
		margin-top: 0px;
		padding-left: 0px;
		padding-bottom: 0px;
		border: 0px solid #CCC;
	}
	/* COL */
	.trainingform-certsection-title h1 {
		color: black;
		border: 1px solid #CCC;
		font-weight: normal;
		padding: 2px;
		width: 700px;
		font-size: 1.3em;
		padding-left: 6px;
		background-color: whitesmoke;
		background-image: url();
		background-repeat: repeat-y;
		background-position: right bottom;
		border-radius: 4px;
	}
}

@media print {
	.trainingform-certsection {
		margin: 10px;
		padding: 0px;
		margin-left: 30px;
		padding-left: 0px;
		padding-bottom: 0px;
		border: 0px solid #555;
		width: 660px;
	}

	.trainingform-certsection-title h1 {
		width: 700px;
		border-bottom: 1px solid black;
		font-weight: normal;
		border-radius: 4px;
	}
}

.trainingform-certitem {
	border: 0px solid silver;
	padding-bottom: 0px;
	margin-bottom: 0px;
	padding-top: 0px;
}

.trainingform-item-certbody {
	padding: 0px;
	font-weight: normal;
	display: block;
	width: auto;
	margin-left: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
	margin-top: 0px;
}
/* COL */
.trainingform-item-certtitle {
	font-size: 120%;
	font-weight: normal;
	margin-left: 10px;
	margin-bottom: 4px;
	color: #777;
	border-bottom: 0px solid #CCC;
	border-top: 0px solid #CCC;
}
/* COL */
.trainingform-item-certsubtitle {
	font-size: 100%;
	color: #777;
	font-weight: normal;
	margin-left: 30px;
	margin-bottom: 2px;
	margin-top: 0px;
	padding-bottom: 0px;
	width: auto;
	text-align: left;
	display: block;
}


/* Training Form AUDIT trail */
@media screen {
	.trainingform-addaudit {
		margin-left: 10px;
		margin-top: 20px;
		margin-bottom: 20px;
		width: 700px;
		padding: 10px;
		color: Black;
		border: 1px solid black;
		background-color: #fafafa;
		border-radius: 4px;
	}
}

@media print {
	.trainingform-addaudit {
		visibility: hidden;
	}
}

.trainingaudit-row {
	border: 0px solid silver;
	vertical-align: top;
	background-color: Whitesmoke;
}

.trainingaudit-title {
	margin: 0px;
	width: auto;
	background-repeat: repeat-y;
	background-color: #777;
	color: white;
	padding: 4px;
	vertical-align: top;
	font-weight: bold;
}

.trainingaudit-authorpanel {
	border: 1px solid silver;
	padding: 6px;
	background-color: #ddd;
	vertical-align: top;
}

.trainingaudit-updatepanel {
	vertical-align: top;
	border-top: 1px solid silver;
	border-right: 1px solid silver;
	border-bottom: 1px solid silver;
}

.trainingaudit-body {
	background-color: Whitesmoke;
	vertical-align: top;
	font-size: 110%;
	padding: 10px;
}


/* Training Form CERTIFICATE AUDIT trail */
/* COL */
.trainingaudit-heading {
	color: black;
	border: 1px solid #CCC;
	font-weight: normal;
	padding: 2px;
	width: 696px;
	font-size: 1.3em;
	padding-left: 10px;
	background-color: whitesmoke;
	background-image: url();
	background-repeat: repeat-y;
	background-position: right bottom;
	border-radius: 4px;
}

@media screen {
	.trainingaudit-cert {
		margin: 10px;
		padding: 0px;
		margin-left: 30px;
	}
}

@media print {
	.trainingaudit-cert {
		margin: 10px;
		padding: 10px;
		margin-left: 30px;
		width: 660px;
	}
}

.trainingaudit-cert-body {
	margin-left: 10px;
	vertical-align: top;
	padding-top: 4px;
	padding-bottom: 7px;
	font-style: italic;
}

.trainingaudit-cert-row {
	border: 1px solid silver;
	vertical-align: top;
	background-color: whitesmoke;
}
/* COL */
.trainingaudit-cert-title {
	margin: 0px;
	width: auto;
	padding: 0px;
	font-weight: normal;
	font-size: 1.2em;
	background-color: white;
	border: 0px solid white;
	padding-bottom: 4px;
	color: #777;
}

.trainingaudit-cert-authorpanel {
	margin-left: 10px;
	border: 1px solid white;
	padding-bottom: 4px;
	background-color: white;
	vertical-align: top;
	border-bottom: 0px solid #CCC;
}

.trainingaudit-cert-updatepanel {
	vertical-align: top;
	border-top: 1px solid white;
	border-right: 1px solid white;
	border-bottom: 1px solid white;
}


/* EXAM-printable: formats the width of the printable view of the survey/exam */
@media screen {
	.exam-printable {
	}
}

@media print {
	.exam-printable {
		border: 1px solid black;
		margin: 10px;
		width: 700px;
	}
}

.exam-preview-formview, .exam-printable-formview {
	width: 100%;
}
/* EXAMView Result - shows the pass/fail result, mark and statement */
.examview-result-pass {
	font-size: 140%;
	color: green;
	margin-left: 0px;
	margin-bottom: 10px;
}

.examview-result-fail {
	font-size: 140%;
	color: red;
	margin-left: 0px;
	margin-bottom: 10px;
}

.examview-result-statement {
	color: Black;
	font-style: italic;
}

/* Training Grid View - used on FormComplete/Validation Page */
.trainingform-infopanel {
	color: Black;
	border: 1px solid Silver;
	background-color: #F6FCFE;
	padding: 4px;
	margin-bottom: 10px;
}

.trainingform-gridheader {
}

	.trainingform-gridheader td {
		padding: 4px;
		font-weight: bold;
		background-color: #777;
		color: White;
	}

.trainingform-gridok {
	color: green;
}

.trainingform-gridmissing {
	color: red;
}
